/*
 * $Id$
 */
package simulation;

import java.util.Vector;

/**
 * @author Kai Sterker
 *
 */
public class Feld {

	public final static int ROT = 3;
	public final static int GELB = 2;
	public final static int GRUEN = 1;
	
	private int farbe;
	private boolean unveraendert = false;
	private Vector objekte = new Vector ();

	/**
	 * @param farbe
	 */
	public Feld(int farbe) {
		this.farbe = farbe;
	}

	/**
	 * @return
	 */
	public boolean isUnveraendert() {
		return unveraendert;
	}

	/**
	 * @param objekt
	 * @return
	 */
	public boolean enthaelt (String objekt) {
		unveraendert = false;
		return objekte.contains (objekt);
	}

	/**
	 * @param objekt
	 */
	public void add (String objekt) {
		if (objekt == null) return;
		
		if (objekte.contains (objekt)) return;
		
		if (objekt.equals("wumpus") || objekt.equals ("pit")) {
			objekte.removeElement("breeze");
			objekte.removeElement("stench");
		}
		else {
			if (objekte.contains("wumpus") || objekte.contains ("pit"))	
				return;
		}
		objekte.add (objekt);
	}

	/**
	 * @param string
	 */
	public void remove(String objekt) {
		objekte.removeElement (objekt);
	}

	public void setFarbe (int farbe) {
		this.farbe = farbe;
	}
	
	/**
	 * @return
	 */
	public int getFarbe () {
		return farbe;
	}

}
