/*
 * $Id$
 */
package simulation;

/**
 * @author Kai Sterker
 *
 */
public class Wahrnehmung {

	private boolean[] w = new boolean[5];
	final static public int STENCH = 0;
	final static public int BREEZE = 1;	 
	final static public int GLITTER = 2;

	public void hinzu (Feld feld, boolean agent) {
		if (feld.enthaelt ("wumpus")) w[STENCH] = true;
		if (feld.enthaelt ("gold") && agent) w[GLITTER] = true;
		if (feld.enthaelt ("pit")) w[BREEZE] = true;
	}
	
	/**
	 * 
	 */
	public String toAusdruck (int zeit) {
		StringBuffer percept = new StringBuffer ("(percept ");
		
		if (w[STENCH] == true) percept.append ("Stench ");
		else percept.append ("nil ");
		
		if (w[BREEZE] == true) percept.append ("Breeze ");
		else percept.append ("nil ");

		if (w[GLITTER] == true) percept.append ("Glitter ");
		else percept.append ("nil ");
		
		percept.append (zeit + ")");

		return percept.toString ();
	}

	public boolean isStench() {
		return w[STENCH];
	}

	public boolean isBreeze() {
		return w[BREEZE];
	}

	public boolean isGlitter() {
		return w[GLITTER];
	}
}
